Bug 59275 - diff view: colors don't match scrollbar
Summary: diff view: colors don't match scrollbar
Status: RESOLVED FIXED
Alias: None
Product: cervisia
Classification: Applications
Component: general (show other bugs)
Version: 2.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andre Woebbeking
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-03 10:31 UTC by Jochen Riehm
Modified: 2003-06-19 16:23 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Riehm 2003-06-03 10:31:14 UTC
Version:           2.0 (using KDE KDE 3.1.1)
Installed from:    SuSE RPMs
Compiler:           installed from SUSE binaries
OS:          Linux

In KDE2 / cervisia 1.4.1 the colors in the diff view in the middle on the level of the knob of the scrollbar matched exactly those displayed in the current diff view windows.

However this is not the case anymore in KDE3 / cervisia 2.0. Sometimes the color strip doesn't reach over the whole scrollbar range, especially with long files. Somehow it is not scaled right.
Comment 1 Christian Loose 2003-06-15 17:29:00 UTC
Subject: Re:  diff view: colors don't match scrollbar

Meine vorherige Mail hat sich erledigt. :-)

Am Sonntag, 15. Juni 2003 17:27 schrieben Sie:
> ------- You are receiving this mail because: -------
> You are the assignee for the bug, or are watching the assignee.
>
> http://bugs.kde.org/show_bug.cgi?id=59275
> woebbeking@web.de changed:
>
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
>- AssignedTo|christian.loose@hamburg.de  |woebbeking@web.de Status|ASSIGNED 
>                   |NEW

Comment 2 Andre Woebbeking 2003-06-19 16:23:38 UTC
Subject: KDE_3_1_BRANCH: kdesdk/cervisia

CVS commit by woebbe: 

Fix BR 59275 (DiffZoomWidget): 
o Use QStyle::querySubControlMetrics() to get the exact geometry 
  of the scroll bar groove.
o Better performance for big files.

CCMAIL: 59275-done@bugs.kde.org


  M +7 -0      ChangeLog   1.22.2.11
  M +55 -43    diffview.cpp   1.15.2.2